# $FreeBSD: src/etc/sysctl.conf,v 1.8 2003/03/13 18:43:50 mux Exp $
#
#  This file is read when going to multi-user and its contents piped thru
#  ``sysctl'' to adjust kernel values.  ``man 5 sysctl.conf'' for details.
#
# TCP performance options
kern.ipc.maxsockbuf=1048576
#net.inet.tcp.sendspace=65536
net.inet.tcp.sendspace=131072
##net.inet.tcp.recvspace=65536
net.inet.tcp.recvspace=131072
net.inet.udp.recvspace=65536
# Network security
net.inet.tcp.blackhole=2
net.inet.udp.blackhole=1
# FS Performance
vfs.vmiodirenable=1
# SHM Performance
#kern.ipc.shmall=10240
# ipc
kern.ipc.somaxconn=1024
# TCP retransmit minimum timer
#net.inet.tcp.rexmit_min=10
# Fixes microuptime() went backwards
#kern.timecounter.method=1
#
net.inet.tcp.inflight.enable=1
#net.inet.tcp.inflight_min=6144
#net.inet.tcp.inflight_min=1024
#net.inet.tcp.inflight_min=2048
# randomize ip id
net.inet.ip.random_id=1 
# ip stealth
net.inet.ip.stealth=1
#
# multimedia
kern.ipc.shmmax=134217728
kern.ipc.shmall=32768
kern.ipc.semmap=64
#dev.pcm.0.play.vchans=4
##hw.snd.maxautovchans=4
# sysVmsg
# max number of messages in the system
#kern.ipc.msgtql=80
# size of a message sent (must be 2^N)
#kern.ipc.msgssz=64
#
# do not let one see processes one does not own
security.bsd.see_other_uids=0
security.bsd.see_other_gids=0
#
# randomize pid
kern.randompid=100
# user mounts - possibly unsecure
vfs.usermount=1
# BT848
#hw.bt848.tuner=0
#hw.bt848.card=2
# keep alive check start after 30 minutes instead of standard 2 hours
net.inet.tcp.keepidle=1800000
#
## memory
#
# swap in idle processes
#vm.swap_idle_enabled=0
#kern.ipc.shm_use_phys=1
#
## nvidia
#
#hw.nvidia.registry.EnableAGPSBA=1
#hw.nvidia.registry.EnableAGPFW=1
#
## postgresql settings for shared memory
#
compat.linux.osrelease=2.6.16
